Bug 826527 - gdm ignores the content of /etc/gdm/custom.conf
gdm ignores the content of /etc/gdm/custom.conf
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 08:32 EDT by Daniel Piddock
Modified: 2013-02-13 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:10:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Piddock 2012-05-30 08:32:15 EDT
Description of problem:
gdm3 no longer honors the values in /etc/gdm/custom.conf in contradiction of published documentation. Or maybe just the [greeter] section

Version-Release number of selected component (if applicable):
gdm-3.2.1.1-8.fc16.x86_64
accountsservice-0.6.15-3.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Add "Include=somenetworkuser" to /etc/gdm/custom.conf under [greeter] section
2. Add "Exclude=myuid" too
2. Reboot to make really sure gdm is restarted
  
Actual results:
myuid is still displayed. somenetworkuser isn't

Expected results:
myuid to disappear and somenetworkuser to appear instead.

Additional info:
This is a regression from gdm2. It's still documented in gdm3.

I tried to debug but soon gave up when I encountered the tangled nightmare of dbus.

We use sssd with LDAP for the NSS backend and Kerberos5 for PAM.
Comment 1 Samuel Sieb 2012-09-05 00:06:13 EDT
I just found this in F17 when I tried to add the last session option.
Comment 2 palos 2012-09-30 08:18:55 EDT
I confirm this bug is present in Fedora 17.
Comment 3 Thomas Clark 2012-11-14 19:49:30 EST
Using Fedora 17, gdm ignores the [greeter] section of custom.conf
Comment 4 Fedora End Of Life 2013-01-16 12:28:10 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 17:10:42 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.